#include <bits/stdc++.h>

using namespace std;

long long bio[300005];
long long kupio[300005];

int main(){

    long long n, q, dan;
    long long suma = 0;
    long long suma2 = 0;
    long long br = 0;

    cin >> n >> q;

    for(int i = 1; i <= n; i++){
        cin >> bio[i] >> kupio[i];
        suma += kupio[i];
    }

    cin >> dan;

    for(int i = 1; i <= n; i++){
        suma2 += kupio[i];
        if(dan > bio[n] && dan > suma){
            br = suma;
        }
        else if(dan > bio[n]){
            br = (suma + 1) - kupio[n] + (dan - bio[n]);
        }
        else if(dan < bio[1]){
            br = 0;
        }
        else if(dan >= bio[i] && dan < bio[i+1] && dan > suma2){
            br = suma2;
        }
        else if(dan >= bio[i] && dan < bio[i+1]){
            br = (suma2 + 1) - kupio[i] + (dan - bio[i]);
        }
    }

    cout << br << endl;

    return 0;
}